Patch Event
curl --request PATCH \
--url https://api.member.dev/api/v1/hubs/{hub_id}/events/{event_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"attendee_list_visible": true,
"capacity": 2,
"cover_image_url": "<string>",
"description": "<string>",
"ends_at": "2023-11-07T05:31:56Z",
"location_address": "<string>",
"location_url": "<string>",
"rsvp_tag_id": "<string>",
"segment_id": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"title": "<string>"
},
"type": "hub_events"
}
}
'import requests
url = "https://api.member.dev/api/v1/hubs/{hub_id}/events/{event_id}"
payload = { "data": {
"attributes": {
"attendee_list_visible": True,
"capacity": 2,
"cover_image_url": "<string>",
"description": "<string>",
"ends_at": "2023-11-07T05:31:56Z",
"location_address": "<string>",
"location_url": "<string>",
"rsvp_tag_id": "<string>",
"segment_id": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"title": "<string>"
},
"type": "hub_events"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
attendee_list_visible: true,
capacity: 2,
cover_image_url: '<string>',
description: '<string>',
ends_at: '2023-11-07T05:31:56Z',
location_address: '<string>',
location_url: '<string>',
rsvp_tag_id: '<string>',
segment_id: '<string>',
starts_at: '2023-11-07T05:31:56Z',
timezone: '<string>',
title: '<string>'
},
type: 'hub_events'
}
})
};
fetch('https://api.member.dev/api/v1/hubs/{hub_id}/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"attendee_list_visible": true,
"capacity": 123,
"cover_image_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"ends_at": "2023-11-07T05:31:56Z",
"going_count": 123,
"google_calendar_url": "<string>",
"host_contact_id": "<string>",
"hub_id": "<string>",
"is_full": true,
"location_address": "<string>",
"location_url": "<string>",
"rsvp_tag_id": "<string>",
"segment_id": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"team_id": "<string>",
"timezone": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "hub_events"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}hub-events
Patch Event
Partial update — only fields present in the request body are applied.
PATCH
/
api
/
v1
/
hubs
/
{hub_id}
/
events
/
{event_id}
Patch Event
Authorizations
Send platform JWTs, contact JWTs, or team API keys as Authorization: Bearer <token>.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I